import 'package:account/src/core/providers/account_repository_provider.dart';
import 'package:account/src/features/app_users/domain/get_app_users_use_case.dart';
import 'package:account/src/features/app_users/domain/get_app_users_use_case_impl.dart';
import 'package:flutter_riverpod/flutter_riverpod.dart';

final getAppUsersUseCaseProvider = Provider.autoDispose<GetAppUsersUseCase>((ref) {
  final authRepository = ref.read(accountRepositoryProvider);
  return GetAppUsersUseCaseImpl(authRepository);
});
